silverstripe-autotoc 

silverstripe-autotoc Git Change Log

Age Message
3 years 1 month Update copyright in LICENSE.md
3 years 10 months Doc fix: the default augmenter is now setId()

In the 1.2 branch the default algorithm of the HTML augmenter is to set
the id on the destination element, not to add anchors.
4 years 5 months Merge pull request #9 from ntd/scrutinizer-patch-1

Scrutinizer Auto-Fixes
4 years 5 months Scrutinizer Auto-Fixes

This commit consists of patches automatically generated for this project on https://scrutinizer-ci.com
Commit 5bc2a280ac5b24b86fffe85838f02dd35bdce936, by Scrutinizer Auto-Fixer
4 years 5 months Merge branch 'dev'
4 years 5 months Update CHANGELOG.md
4 years 5 months Change default anchor method to setId

Previously I was using an unreferenced <a> element with the specific ID.
This does not have any advantage over directly setting that ID on the
<h> element, so switching to the latter method by default.

This breaks backward compatibility, so bumping minor version.
4 years 5 months Merge branch 'dev'
4 years 5 months Update CHANGELOG.md
4 years 5 months Allow customization of augmenting method
4 years 7 months Merge branch 'dev'
4 years 7 months Update CHANGELOG.md
4 years 7 months Add CHANGELOG.md
4 years 7 months Exclude docs from gitattributes
4 years 7 months Correct documentation link
4 years 7 months Reorganize documentation

Let's try to follow the guidelines provided by SilverStripe:
http://www.silverstripe.org/software/addons/supported-modules-definition/
4 years 8 months Trying to improve Scrutinizr ranking

Cosmetic improvements, e.g. added missing docblocks.
4 years 8 months Merge branch 'dev'
4 years 8 months Remove some redundancy from XPath expression
4 years 8 months Add tests for data-hide-from-toc
4 years 8 months Avoid bogus \n when augmenting the HTML
4 years 11 months Added standard Scrutinizer config
4 years 8 months Allow easy testing from CLI
4 years 8 months Merge branch 'master' into dev
4 years 8 months Merge pull request #7 from Cheddam/bug/minimum-php-version

Add minimum PHP version requirement